import { useMutation, useQuery, useQueryClient } from "@tanstack/react-query";
import { placeHolderConnector } from "../Integrations/placholder.connector";
import { QueryKeys } from "../Config/queryKeys";
import { TComment } from "../Interfaces/comment";

const queryClient = useQueryClient()

export const useMyQuery = () => {
    return useQuery({
        queryKey: [QueryKeys.comments],
        queryFn: () => placeHolderConnector.getAlbums(),
        select(data) {
            return data.data as TComment[]
        },
    })
}

export const useMyMutation = (body: string) => {
    return useMutation({
        mutationKey: [QueryKeys.comments],
        mutationFn: () => placeHolderConnector.postAlbum(body),
        onSuccess: () => {
            queryClient.invalidateQueries({ queryKey: [QueryKeys.comments] })
        },
    })
}